Once the package has been downloaded there is one edit that needs to be made. In the
/pgupdate/runjava.sh (or runjava.bat) file. Replace the "<ENTER_SASHOME_HERE>" with the 
correct location of your SASHOME directory. NOTE: This step will no longer be needed
when the code is delivered by twelvebyte build.

Single Instance Mode (Non metadata):
This code path is designed for users that want to execute the update on a single instance of postgres.
Since there is no metadata look up, users will need to specify all the required information via
commandline arguments.

--pgscript <path> | absolute path to the postgres execution script (if this is provided the code will attempt to find the data directory, config directory, and port automatically)
--pgdatadir <path> | absolute path to the postgres data directory
--pgconfig <path> | absolute path to the postgres config directory
--pgport <postgres port>
--pguser <postgres user>
--pgpass <postgres password>

Automatic Instance Detection Mode (metadata):
This code path is designed for users that want to execute the update on all of the applicable 
instances of postgres that are detected on the local server. The code will query metadata and attempt to
locate all the servers along with their data directory locations, pg users, and passwords. Since the code
is performing metadata look up and entry, the code path will require addtional metadata connection information
that will need to be specified via commandline arguments.

--metaserver <metadata server host>
--metaport <metadata server port>
--metauser <metadata admin user>
--metapass <metadata admin password>


Other commandline options:
--help | show execution and commandline options
--dumploc | custom location where dumpfile will be created 
--keepdump | the dumpfile will NOT be deleted upon successful completion of the script
--deletebackup | the backup will be deleted upon successful completion of the script
--singleinstance | indicates that the code will be in single instance mode, requiring those parameters
--loglevel <info|debug> | indicates that the log entries to be added


Execution:
./run.sh (run.bat) <commandlineoption>
